﻿/*处理掉一些默认的样式*/
body,p,pre,button,input,textarea{margin:0;padding:0;}html{overflow-y:scroll;overflow:-moz-scrollbars-vertical;}body,button,input,select,textarea{font-size:12px;font-family: 'FZLTXHKM' '微软雅黑',arial, 'Hiragino Sans GB', 'Microsoft Yahei', '宋体', \5b8b\4f53, Tahoma, Arial, Helvetica, STHeiti;}a{text-decoration:none;}img{-ms-interpolation-mode:bicubic;border:0;}

/*一些通用的样式*/
.mp-custom{margin:0px;padding:0px;}
.f-custom{font-weight:normal;font-size:12px;font-style: normal;}

/*margin的百分比，取值1-5*/
.mp1{margin:1%;}.mp2{margin:2%;}.mp3{margin:3%;}.mp4{margin:4%;}.mp5{margin:5%;}

/*margin的像素取值：1-5,10,15,20*/
.m1{margin:1px;}.m2{margin:2px;}.m3{margin:3px;}.m4{margin:4px;}.m5{margin:5px;}.m10{margin:10px;}.m15{margin:15px;}.m20{margin:20px;}

.ml2{margin-left:2px;}.mt2{margin-top:2px;}.mr2{margin-right:2px;}.mb2{margin-bottom:2px;}
.ml5{margin-left:5px;}.mt5{margin-top:5px;}.mr5{margin-right:5px;}.mb5{margin-bottom:5px;}
.ml10{margin-left:10px;}.mt10{margin-top:10px;}.mr10{margin-right:10px;}.mb10{margin-bottom:10px;}
.ml15{margin-left:15px;}.mt15{margin-top:15px;}.mr15{margin-right:15px;}.mb15{margin-bottom:15px;}
.ml20{margin-left:20px;}.mt20{margin-top:20px;}.mr20{margin-right:20px;}.mb20{margin-bottom:20px;}
.ml30{margin-left: 30px;}.mt30{margin-top: 30px;}.mr30{margin-right: 30px;}.mb30{margin-bottom:30px;}
.ml40{margin-left: 40px;}.mt40{margin-top: 40px;}.mr40{margin-right: 40px;}.mb40{margin-bottom:40px;}
.ml80{margin-left: 80px;}
.ml90{margin-left: 90px;}
.ml100{margin-left: 100px;}
/*padding的百分比，取值1-5*/
.pp1{padding:1%;}.pp2{padding:2%;}.pp3{padding:3%;}.pp4{padding:4%;}.pp5{padding:5%;}

/*padding的像素取值：1-5,10,15,20*/
.ph20{padding-top: 20px;padding-bottom: 20px;}.ph15{padding-top: 15px;padding-bottom: 15px;}.ph10{padding-top: 10px;padding-bottom: 10px;}

.p2{padding:2px;}.pl2{padding-left:2px;}.pt2{padding-top:2px;}.pr2{padding-right:2px;}.pb2{padding-bottom:2px;}
.p5{padding:5px;}.pl5{padding-left:5px;}.pt5{padding-top:5px;}.pr5{padding-right:5px;}.pb5{padding-bottom:5px;}
.pl8{padding-left: 8px;}.pr8{padding-right: 8px;}
.p10{padding:10px;}.pl10{padding-left:10px;}.pt10{padding-top:10px;}.pr10{padding-right:10px;}.pb10{padding-bottom:10px;}
.p15{padding:15px;}.pl15{padding-left:15px;}.pt15{padding-top:15px;}.pr15{padding-right:15px;}.pb15{padding-bottom:15px;}
.p20{padding:20px;}.pl20{padding-left:20px;}.pt20{padding-top:20px;}.pr20{padding-right:20px;}.pb20{padding-bottom:20px;}
.pt30{padding-top: 30px;}.pl30{padding-left:30px;}.pr30{padding-right:30px;}
.pr40{padding-right: 40px;}

/*background的color取色：000,333,666,999,aaa-fff*/
.bgc-000{background-color:#000;}.bgc-333{background-color:#333;}.bgc-666{background-color:#666;}.bgc-999{background-color:#999;}.bgc-aaa{background-color:#aaa;}.bgc-bbb{background-color:#bbb;}.bgc-ccc{background-color:#ccc;}.bgc-ddd{background-color:#ddd;}.bgc-eee{background-color:#eee;}.bgc-fff{background-color:#fff;}

/*背景hover*/
.bgc-ccc-hover:hover{background-color:#ccc;cursor: pointer;}
/*border的color取色：000,333,666,999,aaa-fff*/
.b0{border: none;outline:none;}

.bd1-000{border:1px solid #000;}.bd1-333{border:1px solid #333;}.bd1-666{border:1px solid #666;}.bd1-999{border:1px solid #999;}.bd1-aaa{border:1px solid #aaa;}.bd1-bbb{border:1px solid #bbb;}.bd1-ccc{border:1px solid #ccc;}.bd1-ddd{border:1px solid #ddd;}.bd1-eee{border:1px solid #eee;}.bd1-ccc{border:1px solid #fff;}

/*border的bottom(top,left,right等不常用)取色：000,333,666,999,aaa-fff*/
.bdb1-000{border-bottom:1px solid #000;}.bdb1-333{border-bottom:1px solid #333;}.bdb1-666{border-bottom:1px solid #666;}.bdb1-999{border-bottom:1px solid #999;}.bdb1-aaa{border-bottom:1px solid #aaa;}.bdb1-bbb{border-bottom:1px solid #bbb;}.bdb1-ccc{border-bottom:1px solid #ccc;}.bdb1-ddd{border-bottom:1px solid #ddd;}.bdb1-eee{border-bottom:1px solid #eee;}.bdb1-fff{border-bottom:1px solid #fff;}
.bdb1-grey{border-bottom: 1px solid #d5d5d8;}
/*border-radius的取值：2px,5px,10px,50%,100%*/
.bdr-p50{border-radius:50%;}.bdr-p100{border-radius:100%;}.bdr-2{border-radius:2px;}.bdr-5{border-radius:5px;}.bdr-10{border-radius:10px;}

/*text-align的取值：center,left,right,justify*/
.tc{text-align:center;}.tl{text-align:left;}.tr{text-align:right;}.tj{text-align:justify;}

/*color取值：000,333,666,999,aaa-fff*/
.c-000{color:#000;}.c-333{color:#333;}.c-666{color:#666;}.c-999{color:#999;}.c-aaa{color:#aaa;}.c-bbb{color:#bbb;}.c-ccc{color:#ccc;}.c-ddd{color:#ddd;}.c-eee{color:#eee;}.c-fff{color:#fff;}
.c-blue{color: #27b0e3;}.c-gray{color: #7b8189;}.c-red{color:#f00;}.c-green{color: green;}
/*font-size的取值，12px-30px*/
.f12{font-size:12px;}.f14{font-size:14px;}.f16{font-size:16px;}.f18{font-size:18px;}.f20{font-size:20px;}.f22{font-size:22px;}.f24{font-size:24px;}.f26{font-size:26px;}.f28{font-size:28px;}.f30{font-size:30px;}
/*font-weight*/
.fb{font-weight: bold;}.fn{font-weight: normal;}

/*文本*/
.ell{text-overflow: ellipsis;white-space: nowrap;overflow: hidden;}
.tdl{text-decoration: underline;}
.tdn{text-decoration: none;}

/*浮动相关的*/
.l{float:left}.r{float:right}
.ovh{overflow:hidden}

/*定位相关*/
.rel{position: relative;}
.abs{position: absolute;}

/*手型*/
.pointer{cursor: pointer;}

/*百分比限制宽度，分为单列，双列，三列，四列，五列*/
.wp20{width:20%;}.wp25{width:25%;}.wp33{width:33.33%;}.wp40{width:40%;}.wp50{width:50%;}.wp60{width:60%;}.wp90{width:90%;}.wp100{width:100%;}

/*像素限制宽度*/
.w50{width: 50px;}.w70 {width: 70px;}.w90 {width: 90px;}.w100 {width: 100px;}.w200 {width: 200px;}.w250{width: 250px;}.w300{width: 300px;}.w320{width:320px;}

/*文字居中，line-height定义，取值：20px;22,24,26,28,30px*/

.lh20{line-height:20px;}.lh22{line-height:22px;}.lh24{line-height:24px;}.lh26{line-height:26px;}.lh28{line-height:28px;}.lh30{line-height:30px;}.lh44{line-height:44px;}

/*display的四种固定样式*/

.di{display:inline;}.dib{display:inline-block;}.db{display:block;}.dn{display:none;}

/* 透明度*/
.opa{opacity: 0;}.op1{opacity: 0.1;}.op2{opacity: 0.2;}.op3{opacity: 0.3;}.op4{opacity: 0.4;}.op4{opacity: 0.5;}.op4{opacity: 0.6;}.op4{opacity: 0.7;}.op8{opacity: 0.8;}.op8{opacity: 0.9;}

.lsn{list-style:none;padding-left:0px;margin-left:0px;}
/* 水平平铺 */
.justify-fix {height: 0;padding: 0;border: none;overflow: hidden;}
/*letter-spacing*/

.visibile{visibility: visible;}.hidden{visibility: hidden;}
/*全屏*/
.full-screen{position: absolute;top: 0;left: 0;right: 0;bottom: 0;}

.t10{top:10px;}.t20{top:20px;}.t30{top:30px;}.t40{top:40px;}.t50{top:50px;}
/* 滚动条 */
.scrollbar::-webkit-scrollbar {width: 8px; height: 8px; }
.scrollbar::-webkit-scrollbar-track {border-radius: 10px;-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0);} 
.scrollbar::-webkit-scrollbar-thumb {background-color: rgba(0,0,0,.05);border-radius: 10px;-webkit-box-shadow: inset 1px 1px 0 rgba(0,0,0,.1);}
.scrollbar:hover::-webkit-scrollbar-thumb {background-color: rgba(0,0,0,.2);border-radius: 10px;-webkit-box-shadow: inset 1px 1px 0 rgba(0,0,0,.1);}
.scrollbar::-webkit-scrollbar-button {height: 0;width: 0;}

/*XMSSelectModal模块的CSS*/
.xms-select-box {display: none;position: absolute;z-index: 2;list-style: none;max-height: 200px;overflow-x: hidden;overflow-y: auto;padding-left: 0px;text-align: left;border: 1px solid rgb(170, 170, 170);background-color: #fff;}
.xms-select-item {list-style: none;padding: 4px;border-bottom: 1px solid rgb(204, 204, 204);cursor: pointer;background-color: #fff;}
.xms-select-item.hover{background-color:#eee;}
.xms-select-item.active{background-color:#ddd;}


/*日期插件，支持时间选择*/
.xms-datePicker{position: absolute;top: -10000px;left: 0;z-index: 10000;min-width: 160px;padding: 5px;margin: 2px 0 0;font-size: 14px;background-color: #fff;-webkit-background-clip: padding-box;background-clip: padding-box;border: 1px solid #ccc;border: 1px solid rgba(0,0,0,.15);border-radius: 4px;-webkit-box-shadow: 0 6px 12px rgba(0,0,0,.175);box-shadow: 0 6px 12px rgba(0,0,0,.175);text-align:center;}
.xms-datePicker.xms-fixed{position:fixed;}

.xms-datePicker:before {content: '';border-left: 7px solid transparent;border-right: 7px solid transparent;border-bottom: 7px solid #ccc;border-bottom-color: rgba(0,0,0,0.2);position: absolute;top: -7px;left: 6px;}
.xms-datePicker:after {content: '';border-left: 6px solid transparent;border-right: 6px solid transparent;border-bottom: 6px solid #fff;position: absolute;top: -6px;left: 7px;}

.xms-datePicker a{text-decoration: none;color:#333;border-radius:4px;}

.xms-date-picker-title{position:relative;}
.xms-date-picker-icon-left,.xms-date-picker-icon-right{position:absolute;top:50%;margin-top:-14px;padding:7px;z-index:1;font-size:14px;}
.xms-date-picker-icon-left{left:0px;}
.xms-date-picker-icon-right{right:0px;}
.xms-date-picker-switch{margin:0px 35px;color:#333;line-height:30px;border-radius:4px;display:block;}
.xms-date-picker-switch:hover,.xms-date-picker-switch:active{background-color:#efefef;color:#333;text-decoration:none;}

.xms-date-picker-years,.xms-date-picker-months,.xms-date-picker-weekday,.xms-date-picker-hours,.xms-date-picker-mins{overflow:hidden;}
.xms-date-picker-weekday{margin: 0px;padding: 0px;list-style: none;}
.xms-date-picker-item,.xms-date-picker-weekday>li{float:left;margin:0px 2px;width:26px;line-height:26px;}
.xms-date-picker-month,.xms-date-picker-year{width:40px;line-height:36px;}
.xms-date-picker-hour,.xms-date-picker-min{width:34px;line-height:30px;}
.xms-date-picker-other-month{visibility: hidden;}

.xms-date-picker-item:hover,.xms-date-picker-item:active,.xms-date-picker-item.active{color:#fff;background-color:#04c;background-image: -moz-linear-gradient(top,#08c,#04c);background-image: -ms-linear-gradient(top,#08c,#04c);background-image: -webkit-gradient(linear,0 0,0 100%,from(#08c),to(#04c));background-image: -webkit-linear-gradient(top,#08c,#04c);background-image: -o-linear-gradient(top,#08c,#04c);background-image: linear-gradient(top,#08c,#04c);background-repeat: repeat-x;border-color: #04c #04c #002a80;border-color: rgba(0,0,0,0.1) rgba(0,0,0,0.1) rgba(0,0,0,0.25);text-shadow: 0 -1px 0 rgba(0,0,0,0.25);}

a.xms-date-picker-day-useless{color:#ccc;}
.xms-date-picker-day-useless:hover,.xms-date-picker-day-useless:active{color:#ccc;background:#fff;text-shadow:none;}

.xms-date-picker-day-today{margin: 0px 20px;line-height: 26px;cursor:pointer;background-color:#efefef;}
.xms-date-picker-day-today:hover,.xms-date-picker-day-today:active{background-color:#ddd;}

.xms-date-picker-today{background-color:#fffbeb;}
.xms-date-picker-tomorrow{background-color:#d3fccc;}
.xms-date-picker-after-tomorrow{background-color:#f5fc78;}

.xms-date-picker-weekend,a.xms-date-picker-weekend{color:#EC5E5E;}
/*日期插件，支持时间选择*/
